package oko.tm.oko_pro_classic;


import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.Intent;
import android.content.SharedPreferences;
import android.preference.PreferenceManager;

public class OnBootReceiver extends BroadcastReceiver {
    Context mContext;



    @Override
    public void onReceive(Context context, Intent intent) {
        mContext=context;

        try {

            if (getConnection(mContext)) {
                new Thread(new Runnable() {
                    public void run() {
                        try {
                            //startService(new Intent(mContext, MyService.class)); //запускаем сервис для работы через IP в отдельном потоке
                            Intent myIntent = new Intent(mContext, TCP_client.class);
                            mContext.startService(myIntent);
                        } catch (Exception e) {
                            e.printStackTrace();
                        }

                    }
                }).start();


            }
        } catch (Exception e) {
            e.printStackTrace();
        }
    }

    //для работы с файлом с настройками
    private SharedPreferences getPrefs(Context context, String pref) {
        return context.getSharedPreferences(pref, Context.MODE_PRIVATE);
    }

   private boolean getConnection(Context context) {
       boolean need_internet_connection=false;
       try {
           for (int i=0; i< StartActivity.objectsSettings.length; i++){
               if (getPrefs(context, StartActivity.objectsSettings[i]).getString(MainActivity.APP_PREFERENCES_CONNECTION, "1").equals("2")){
                   need_internet_connection=true;
               }
           }
       }
       catch (Exception e) {
           e.printStackTrace();
       }

       return need_internet_connection;
    }
}
